%define xtag X11R7.3
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXTrap runtime library
Name: 		libXTrap
Version: 	1.0.0
Release: 	3
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel
BuildRequires: 	libX11-devel
BuildRequires: 	libXext-devel
BuildRequires: 	libXt-devel

Obsoletes: 	xorg-libs

%description
X.Org X11 libXTrap runtime library

%package devel
Summary: 	X.Org X11 libXTrap development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}
# xorg-x11-proto-devel needed for xtrap.pc
Requires: 	xorg-x11-proto-devel

Obsoletes: 	xorg-devel

%description devel
X.Org X11 libXTrap development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README INSTALL ChangeLog
%{_libdir}/libXTrap.so.6
%{_libdir}/libXTrap.so.6.4.0

%files devel
%defattr(-,root,root,-)
%if %{with_static}
%{_libdir}/libXTrap.a
%endif
%{_libdir}/libXTrap.so
%{_libdir}/pkgconfig/xtrap.pc

%changelog
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-3
- rebuilt for xorg 7.3
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-2
- rebuilt for xorg 7.2
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.0-1
- Initial release
